%define pkgname %(echo %name | cut -d- -f2-)
Name:          python-platformdirs
Version:       4.3.6
Release:       1mamba
Summary:       A small Python module for determining appropriate platform-specific dirs, e.g. a "user data dir"
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/tox-dev/platformdirs
Source:        https://pypi.debian.net/platformdirs/platformdirs-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python-hatch_vcs-py3
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n platformdirs-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*

%changelog
* Wed Sep 18 2024 Automatic Build System <autodist@openmamba.org> 4.3.6-1mamba
- automatic version update by autodist

* Sat Sep 14 2024 Automatic Build System <autodist@openmamba.org> 4.3.3-1mamba
- automatic version update by autodist

* Mon Sep 09 2024 Automatic Build System <autodist@openmamba.org> 4.3.2-1mamba
- automatic version update by autodist

* Sun Sep 08 2024 Automatic Build System <autodist@openmamba.org> 4.3.1-1mamba
- automatic version update by autodist

* Wed May 15 2024 Automatic Build System <autodist@openmamba.org> 4.2.2-1mamba
- automatic version update by autodist

* Wed Apr 24 2024 Automatic Build System <autodist@openmamba.org> 4.2.1-1mamba
- automatic version update by autodist

* Wed Jan 31 2024 Automatic Build System <autodist@openmamba.org> 4.2.0-1mamba
- automatic version update by autodist

* Tue Dec 05 2023 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic version update by autodist

* Fri Nov 10 2023 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- automatic version update by autodist

* Tue Oct 03 2023 Automatic Build System <autodist@mambasoft.it> 3.11.0-1mamba
- automatic version update by autodist

* Wed Sep 27 2023 Automatic Build System <autodist@mambasoft.it> 3.10.0-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Sat Aug 05 2023 Automatic Build System <autodist@mambasoft.it> 3.10.0-1mamba
- automatic version update by autodist

* Sun Mar 26 2023 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Sat Mar 11 2023 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Mon Mar 06 2023 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic version update by autodist

* Sun Oct 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.1-2mamba
- rebuilt with python 3.10

* Sun Feb 20 2022 Automatic Build System <autodist@mambasoft.it> 2.5.1-1mamba
- automatic version update by autodist

* Thu Feb 10 2022 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Mon Dec 27 2021 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Sun Sep 26 2021 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Tue Aug 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-1mamba
- package created using the webbuild interface
